Status: Under Review Priority: Should have
Author: Bastian Waidelich Category: MVC - Routing
Created: 2011-09-18 Assigned To: Tim Kandel
Updated: 2013-10-02 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Configurable Redirects
Description

We need a new Entity "Redirect" (in MVC/Web/Routing/Redirect) with the properties sourceUri, destinationUri, hasMoved
statusCode and possibly counter and host.
Before a request is matched to package, controller and action, the router should check if a redirect is configured and return the
respective redirect headers if that's the case.

Related issues:
related to TYPO3.Flow - Feature # 8736: Implement generic Identity RoutePartH... Resolved
related to TYPO3.Flow - Feature # 37405: When changing a property wich is use... Under Review 2012-05-22
related to Base Distribution - Task # 48291: Redirect management for moved pages Accepted 2013-05-16

Associated revisions
Revision 2b702b0f - 2013-10-15 18:19 - Tim Kandel

[FEATURE] Add tagging to router cache

This adjusts the RouterCachingService to tag every Routing cache entry
with any UUID the routeValues/matchResult contain.

This will make it possible to flush caches only for affected entities.

Change-Id: I917524542b4051a4c29792eeed330a793c47e677
Releases: master
Related: #29972

History
#1 - 2011-09-20 14:01 - Bastian Waidelich

Additional idea:
ObjectPathMappings can be marked obsolet (triggered when an affected object is changed for instance)
Whenever the IdentityRoutePart comes across an obsolete mapping while resolving an URI, the path segment will be recreated and - if it's different to
the one in the repository - a redirect is created.
If an obsolete mapping is found during matching of an URI, the mapping is removed and a redirect with status "gone" created.

#2 - 2011-09-21 11:52 - Bastian Waidelich
- Target version deleted (1.0.0)

#3 - 2012-01-25 17:58 - Bastian Waidelich
- Category changed from Object to MVC - Routing
- Has patch set to No

#4 - 2012-11-08 08:41 - Bastian Waidelich

Bastian Waidelich wrote:

ObjectPathMappings can be marked obsolet (triggered when an affected object is changed for instance)

For that we could introduce some new annotation that triggers an AOP aspect which updates related ObjectPathMapping records whenever all or 
specific properties of an object change

#5 - 2013-10-01 17:18 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24223

#6 - 2013-10-01 17:27 - Tim Kandel
- Assigned To changed from Bastian Waidelich to Tim Kandel

#7 - 2013-10-02 15:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24223
